package com.sxtvs.open.api.clue.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class WxReply {

    @JsonProperty("touser")
    private String touser;
    @JsonProperty("msgtype")
    private String msgtype;
    @JsonProperty("text")
    private TextDTO text;

    @NoArgsConstructor
    @Data
    public static class TextDTO {
        @JsonProperty("content")
        private String content;
    }
}
