package com.sxtvs.open.api.clue.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2023-03-20
 */
@Getter
@Setter
@TableName("clue_reply")
public class ClueReply implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 关联线索id
     */
    private Long clueId;

    /**
     * 内容
     */
    private String content;

    /**
     * 回复时间
     */
    private LocalDateTime replyTime;

    /**
     * 修改时间
     */
    private LocalDateTime modifyTime;

    /**
     * 操作人
     */
    private Long userId;

    /**
     * 操作人名字
     */
    private String userName;

    /**
     * 回复模板id
     */
    private Integer templateId;

    /**
     * 状态：1-正常，-1-删除
     */
    private Integer status;
}
