package com.sxtvs.open.api.h5template.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2023-03-30
 */
@Getter
@Setter
@TableName("h5_template")
public class H5Template implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "template_id", type = IdType.ASSIGN_ID)
    private String templateId;

    private String title;

    private String h5Desc;

    private String hoversList;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private String url;

    private String cover;

    private String type;
}
