package com.sxtvs.open.api.odata.dto;

import java.time.LocalDate;

public class RequestDTO {
    private String platform;

//    兼容旧版
    private LocalDate dt;

    private LocalDate start;

    private LocalDate end;

    private String match;

    private String groupName;

    private String userId;

    private String sort = "";

    private Integer order;

    private Integer page = 1;

    private Integer size = 20;

    public RequestDTO() {
    }

    public RequestDTO(String platform, LocalDate dt) {
        this.platform = platform;
        this.start = dt;
        this.end = dt;
    }

    public RequestDTO(String platform, LocalDate start, LocalDate end, String sort) {
        this.platform = platform;
        this.start = start;
        this.end = end;
        this.sort = sort;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public LocalDate getDt() {
        return dt;
    }

    public void setDt(LocalDate dt) {
        this.start = dt;
        this.end = dt;
        this.dt = dt;
    }

    public String getMatch() {
        return match;
    }

    public void setMatch(String match) {
        this.match = match;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public LocalDate getStart() {
        return start;
    }

    public void setStart(LocalDate start) {
        this.start = start;
    }

    public LocalDate getEnd() {
        return end;
    }

    public void setEnd(LocalDate end) {
        this.end = end;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }
}
