package com.sxtvs.open.api.user.controller;

import com.sxtvs.open.api.user.entity.Menus;
import com.sxtvs.open.api.user.service.impl.MenusServiceImpl;
import com.sxtvs.open.core.auth.LoginRequired;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-05-26
 */
@RestController
@RequestMapping("/menus")
public class MenusController {

    @Resource
    private MenusServiceImpl menusService;

    @RequestMapping("list")
    @LoginRequired
    public List<Menus> menus(){
        return menusService.list();
    }
}
