package com.sxtvs.open.api.clue.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author syj
 * @since 2023-03-21
 */
@Getter
@Setter
@TableName("clue_info")
public class ClueInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联线索表id
     */
    private String relaId;

    /**
     * 添加时间
     */
    private LocalDateTime addTime;

    /**
     * 添加人
     */
    private String addUser;

    /**
     * 源地址
     */
    private String materialUrl;

    /**
     * 源类型: 0文本 1图片 2视频 3音频
     */
    private Integer type;

    /**
     * 本地地址
     */
    private String localUrl;

    /**
     * 微信的材料地址
     */
    private String wechatMaterialId;
}
