package com.sxtvs.open.api.clue.job;

import com.sxtvs.open.api.clue.service.impl.WxTokenCache;
import jakarta.annotation.Resource;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.concurrent.TimeUnit;

@Component
public class WxTokenRefresh {

    @Scheduled(fixedDelay = 100, timeUnit = TimeUnit.MINUTES)
    public void refresh() {
        WxTokenCache.getInstance().setAccessToken();
    }
}
