package com.sxtvs.open.api.h5template.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sxtvs.open.api.h5template.dto.PageRequestDTO;
import com.sxtvs.open.api.h5template.service.impl.H5OperateFormDataServiceImpl;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-04-04
 */
@RestController
@RequestMapping("/h5operate/form")
public class H5OperateFormDataController {

    @Resource
    private H5OperateFormDataServiceImpl h5OperateFormDataService;

    @RequestMapping("store")
    public void store(@RequestBody Map<String, Object> map){
        h5OperateFormDataService.store(map);
    }

    @RequestMapping("list")
    public Page<Map<String, Object>> page(@RequestBody PageRequestDTO requestDTO){
        return h5OperateFormDataService.pageList(requestDTO);
    }
}
