package com.sxtvs.open.api.h5template.service.impl;

import com.sxtvs.open.api.h5template.entity.H5Template;
import com.sxtvs.open.api.h5template.mapper.H5TemplateMapper;
import com.sxtvs.open.api.h5template.service.IH5TemplateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.time.LocalDateTime;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2023-03-30
 */
@Service
public class H5TemplateServiceImpl extends ServiceImpl<H5TemplateMapper, H5Template> implements IH5TemplateService {


    public void store(H5Template h5Template){
        h5Template.setUpdateTime(LocalDateTime.now());
        if(null != h5Template.getTemplateId()){
            updateById(h5Template);
        }else{
            h5Template.setCreateTime(LocalDateTime.now());
            save(h5Template);
        }
    }

}
