package com.sxtvs.open.api.odata.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sxtvs.open.api.odata.dto.Agg;
import com.sxtvs.open.api.odata.dto.NewMedia;
import com.sxtvs.open.api.odata.entity.OpenData;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OpenDataMapper extends BaseMapper<OpenData> {

    List<NewMedia> newMediaList(@Param("platform") String platform,
                                @Param("start") String start,
                                @Param("end") String end,
                                @Param("match") String match,
                                @Param("nickNames") List<String> nikeNames,
                                @Param("sort") String sort,
                                @Param("order") Integer order);

    IPage<NewMedia> newMediaList(Page<NewMedia> page,
                                 @Param("platform") String platform,
                                @Param("start") String start,
                                @Param("end") String end,
                                @Param("match") String match,
                                @Param("nickNames") List<String> nikeNames,
                                @Param("sort") String sort,
                                @Param("order") Integer order);

    IPage<Agg> weiboAggList(Page<Agg> page,
                            @Param("start") String start,
                            @Param("end") String end,
                            @Param("match") String match,
                            @Param("nickNames") List<String> nikeNames,
                            @Param("sort") String sort,
                            @Param("order") Integer order);

    List<Agg> weiboAggList(@Param("start") String start,
                            @Param("end") String end,
                            @Param("match") String match,
                            @Param("nickNames") List<String> nikeNames,
                            @Param("sort") String sort,
                            @Param("order") Integer order);

    IPage<Agg> weixinAggList(Page<Agg> page,
                            @Param("start") String start,
                            @Param("end") String end,
                            @Param("match") String match,
                            @Param("nickNames") List<String> nikeNames,
                            @Param("sort") String sort,
                            @Param("order") Integer order);

    List<Agg> weixinAggList(@Param("start") String start,
                            @Param("end") String end,
                            @Param("match") String match,
                            @Param("nickNames") List<String> nikeNames,
                            @Param("sort") String sort,
                            @Param("order") Integer order);

    IPage<Agg> toutiaoAggList(Page<Agg> page,
                             @Param("start") String start,
                             @Param("end") String end,
                             @Param("match") String match,
                             @Param("nickNames") List<String> nikeNames,
                             @Param("sort") String sort,
                             @Param("order") Integer order);
    List<Agg> toutiaoAggList(@Param("start") String start,
                             @Param("end") String end,
                             @Param("match") String match,
                             @Param("nickNames") List<String> nikeNames,
                             @Param("sort") String sort,
                             @Param("order") Integer order);

    IPage<Agg> douyinAggList(Page<Agg> page,
                            @Param("start") String start,
                            @Param("end") String end,
                            @Param("match") String match,
                            @Param("nickNames") List<String> nikeNames,
                            @Param("sort") String sort,
                            @Param("order") Integer order);

    List<Agg> douyinAggList(@Param("start") String start,
                            @Param("end") String end,
                            @Param("match") String match,
                            @Param("nickNames") List<String> nikeNames,
                            @Param("sort") String sort,
                            @Param("order") Integer order);

    IPage<Agg> kuaishouAggList(Page<Agg> page,
                              @Param("start") String start,
                              @Param("end") String end,
                              @Param("match") String match,
                              @Param("nickNames") List<String> nikeNames,
                              @Param("sort") String sort,
                              @Param("order") Integer order);
    List<Agg> kuaishouAggList(@Param("start") String start,
                              @Param("end") String end,
                              @Param("match") String match,
                              @Param("nickNames") List<String> nikeNames,
                              @Param("sort") String sort,
                              @Param("order") Integer order);

    IPage<Agg> biliAggList(Page<Agg> page,
                          @Param("start") String start,
                          @Param("end") String end,
                          @Param("match") String match,
                          @Param("nickNames") List<String> nikeNames,
                          @Param("sort") String sort,
                          @Param("order") Integer order);

    List<Agg> biliAggList(@Param("start") String start,
                          @Param("end") String end,
                          @Param("match") String match,
                          @Param("nickNames") List<String> nikeNames,
                          @Param("sort") String sort,
                          @Param("order") Integer order);


    String weiboLastDt();
    String weixinLastDt();
    String toutiaoLastDt();
    String douyinLastDt();
    String kuaishouLastDt();
    String biliLastDt();

    List<String> departmentGroup(@Param("groupName") String groupName,@Param("platform") String platform);
    String getDepGroup(@Param("userId") String userId);
}
